import $http from '@/api/index'

// 获取列表数据
export function getTableDataApi(data) {
  return $http({
    url: '/saascrf/emr/getElementDefaultList',
    method: 'get',
    params: data
  })
}
// 新增缺省值
export function saveDataApi(data) {
  return $http({
    url: '/emr/saveElementDefault',
    method: 'post',
    data: data
  })
}
// 修改缺省值
export function modifyDataApi(data) {
  return $http({
    url: '/emr/updateElementDefault',
    method: 'put',
    data: data
  })
}
// 删除缺省值
export function deleteDataApi(data) {
  return $http({
    url: '/emr/deleteElementDefault',
    method: 'delete',
    params: data
  })
}
// 获取诊断类型下拉框
export function getDiagnosticTypeApi(data) {
  return $http({
    url: '/common/standardCodes',
    method: 'get',
    params: data
  })
}
// 查缺省值元素对应的值
export function getDefaultValueApi (data) {
  return $http({
    url: '/saascrf/crfFormElement/getDefaultValue',
    method: 'get',
    params: data
  })
}
