import $http from './index'
// 机构注册页面
// 添加或者修改组织机构 父组织机构
export function addMedicalManage (data) {
  return $http({
    url: '/hospital/saveHospital',
    method: 'PUT',
    data: data,
    loading: false
  })
}
// 与上面是同一个接口
export function saveHospital (data) {
  return $http({
    url: '/hospital/saveHospital',
    method: 'PUT',
    data: data,
    loading: false
  })
}

// 启用停用
export function startStop (data) {
  return $http({
    url: '/hospital/updateHospitalStatus',
    method: 'post',
    params: data,
    loading: false
  })
}

// 分页查询组织机构
export function lookForPage (data) {
  return $http({
    url: '/hospital/pageHospital',
    method: 'post',
    params: data,
    loading: false
  })
}

// 查询所有组织机构
export function searchForPage (data) {
  return $http({
    url: '/hospital/listHospital',
    method: 'post',
    params: data,
    loading: false
  })
}

// 查询子组织机构
export function LookForSonPage (data) {
  return $http({
    url: '/hospital/findHospitalChildrenById',
    method: 'get',
    params: data,
    loading: false
  })
}
// 修改密码
export function updatePassword (data) {
  return $http({
    url: '/user/updatePassword',
    method: 'PUT',
    params: data,
    loading: false
  })
}
// 解锁屏幕
export function clearWindows (data) {
  return $http({
    url: '/user/clearWindows',
    method: 'post',
    params: data
  })
}
// 解锁屏幕
export function screenLock (data) {
  return $http({
    url: '/user/screenLock',
    method: 'post',
    params: data
  })
}
// 查询子组织机构
export function pageSelect (data) {
  return $http({
    url: '/sysUserDetail/page',
    method: 'get',
    params: data,
    loading: false
  })
}

// 添加用户时的下拉列表
export function getUserDeatilList(data) {
  return $http({
    url: '/sysUserDetail/getUserDeatilList',
    method: 'get',
    params: data,
    loading: false
  })
}
