import $http from '@/api/index'
// import { API_TYPE } from '@/utils/constants'
// 发送消息
export function addMessage(data) {
  return $http({
    url: '/saasuser/afPreoperativeCounselingInfo/addMessage',
    method: 'post',
    data: data
  })
}
// 查询当前医生与某位患者聊天记录
export function queryPatientChat(data) {
  return $http({
    url: '/saasuser/afPreoperativeCounselingInfo/queryPatientChat',
    method: 'get',
    params: data,
    loading: false
  })
}
// 查询当前医生所有交流过的患者列表
export function queryPatientList(data) {
  return $http({
    url: '/saasuser/afPreoperativeCounselingInfo/queryPatientList',
    method: 'get',
    params: data,
    loading: false
  })
}
// 批量查询模板
export function getTemplateList(data) {
  return $http({
    url: '/saasuser/tMsgTemplate/list',
    method: 'get',
    params: data,
    loading: false
  })
}
// 点击医患交流按钮，增加医生与患者聊天记录
export function addMessageInfo(data) {
  return $http({
    url: '/saasuser/afPreoperativeCounselingInfo/addMessageInfo',
    method: 'post',
    data: data
  })
}
// 查询当前医生与某位患者聊天记录总条数
export function queryPatientTotal(data) {
  return $http({
    url: '/saasuser/afPreoperativeCounselingInfo/queryPatientTotal',
    method: 'get',
    params: data,
    loading: false
  })
}
