/**
 * 随访记录
 */
import $http from '@/api/index'
// 查询随访记录
export function getTimeLineApi (data) {
  return $http({
    url: '/saasuser/follow/queryFollowDetail',
    method: 'get',
    params: data
  })
}
// 查询点击新增随访记录按钮
export function selectAddDataJsonApi (data) {
  return $http({
    url: '/saasuser/follow/selectAddDataJson',
    method: 'get',
    params: data
  })
}
// 修改创建时间
export function updateCreateTimeApi (data) {
  return $http({
    url: '/saasuser/follow/updateCreateTime',
    method: 'PUT',
    data: data
  })
}
// 获取当前系统时间
export function querySystemTimeApi (data) {
  return $http({
    url: '/saasuser/follow/querySystemTime',
    method: 'get',
    params: data
  })
}
// 新增随访记录
export function addFollowApi (data) {
  return $http({
    url: '/saasuser/follow/addFollowDetail',
    method: 'post',
    data: data
  })
}
// 修改随访记录
export function updateFollowApi (data) {
  return $http({
    url: '/saasuser/follow/updateFollowDetail',
    method: 'put',
    data: data
  })
}
// 查询单条随访记录
export function queryDetailInfoApi (data) {
  return $http({
    url: '/saasuser/follow/queryDetailInfo',
    method: 'get',
    params: data
  })
}
// 查缺省值元素对应的值
export function getDefaultValueApi (data) {
  return $http({
    url: '/saascrf/crfFormElement/getDefaultValue',
    method: 'get',
    params: data
  })
}
