import $http from './index'

// 获取元素数据源--元素信息
export function getElementDatas (data) {
  return $http({
    url: '/saascrf/common/getElementDatas',
    method: 'get',
    params: data
  })
}
// 获取标准代码树
export function listStandardCodeTree (data) {
  return $http({
    url: '/tCodeStandardCode/listStandardCodeTree',
    method: 'get',
    params: data
  })
}
// 添加 系统/类别名称
export function create (data) {
  return $http({
    url: '/tCodeStandardCode/create',
    method: 'post',
    data: data
  })
}
// 编辑 系统/类别名称
export function update (data) {
  return $http({
    url: '/tCodeStandardCode/update',
    method: 'put',
    data: data
  })
}

// 删除分类名称
export function deletedata (data) {
  return $http({
    url: '/tCodeStandardCode/delete',
    method: 'delete',
    data: data
  })
}
// 获取列表数据
export function selectList (data) {
  return $http({
    url: '/tCodeStandardCode/selectList',
    method: 'get',
    params: data
  })
}
