import { getUUID } from '@/utils/uuid'
import { deepClone } from '@/utils/crfForm/constants'
let data = {}
export default {
  changeData (datas, pageId) {
    data = deepClone(datas)
    deep(data.pageList[0], data.conditionRules, pageId)
    return data
  },
  changeSelect (datas) {
    data = deepClone(datas)
    deepSelect(data.pageList[0])
    return data
  },
  getGUID () {
    return getUUID()
  }
}
// 选中取消
function deepSelect(obj) {
  if (obj.fieldList) {
    for (let i = 0; i < obj.fieldList.length; i++) {
      obj.fieldList[i].isSelect = false
      if (obj.fieldList[i].fieldList && obj.fieldList[i].fieldList.length > 0) {
        deepSelect(obj.fieldList[i])
      }
    }
  }
  return obj
}
function deep(obj, rules, pageId) {
  if (obj.fieldList) {
    for (let i = 0; i < obj.fieldList.length; i++) {
      obj.fieldList[i].oldId = obj.fieldList[i].id
      obj.fieldList[i].id = getUUID()
      obj.fieldList[i].treeId = obj.fieldList[i].id
      obj.fieldList[i].pageId = pageId
      obj.fieldList[i].isSelect = false
      for (let j = 0; j < rules.length; j++) {
        rules[j].pageId = pageId
        rules[j].id = getUUID()
        if (rules[j].fieldId === obj.fieldList[i].oldId) {
          rules[j].fieldId = obj.fieldList[i].id
        }
        for (let jj = 0; jj < rules[j].widgetList.length; jj++) {
          if (rules[j].widgetList[jj].field.id === obj.fieldList[i].oldId) {
            rules[j].widgetList[jj].field.id = obj.fieldList[i].id
          }
        }
      }
      if (obj.fieldList[i].fieldList && obj.fieldList[i].fieldList.length > 0) {
        deep(obj.fieldList[i], data.conditionRules, pageId)
      }
    }
  }
  return obj
}
