/**
 * emr数据类型
 */
export const EMR_TYPE_CODE = {
  // 元素
  element: 'el',
  // 段落
  paragraph: 'para',
  // 章节
  chapter: 'chap',
  // 模板
  template: 'temp'
}

/**
 * 编辑器模式
 */
export const EDITOR_MODEL = {
  // 设计模式
  design: 'design',
  // 预览模式
  view: 'view',
  // 编辑模式
  edit: 'edit',
  // 留痕迹模式
  mark: 'mark'
}

/**
 * 打印方向
 */
export const PRINT_DIR = {
  // 垂直
  vertical: 1,
  // 水平
  horizontal: 2
}
/**
 * 打印类型
 */
export const PRINT_TYPE = {
  // 门诊医生电子病历
  pim: 1,
  // 住院医生电子病历
  inp: 2,
  // 护士电子病历
  nurse: 3,
  // 加床电子病历
  home: 4
}
/**
 * 打印类型
 */
export const TEMP_CLASSIFY = {
  // 门诊医生电子病历
  pim: '001',
  // 住院医生电子病历
  inp: '002',
  // 加床电子病历
  home: '003',
  // 护士电子病历
  nurse: '004'
}
