import { SWITCH_TYPE_CODE } from '@/utils/constants'
/**
 * 添加修改数据实体
 */
export const DEFAULT_VALUE = {
  columnName: '',
  columnNickName: '',
  createId: 0,
  createName: '',
  createTime: '',
  dbclassifCode: '',
  diagnosisType: '',
  diagnosisCategory: '',
  emrDefalutCode: '',
  emrDefalutName: '',
  id: 0,
  specialType: '0',
  orgNo: '',
  recentEditorId: 0,
  recentEditorName: '',
  recentEditorTime: '',
  recentEditorType: '',
  subNo: '',
  sysName: ''
}
/**
 * 特殊元素常量
 */
export const SPECIAL_EL_CODE = {
  diagnosis: '1', // 诊断
  check: '2', // 检查
  inspect: '3', // 检验
  prescription: '4', // 处方
  poisoning: '5', // 损伤中毒
  recordTime: '6' // 损伤中毒
}
/**
 * 选择常量
 */
export const SWITCH_DIAGNOSIS = [
  {
    code: SWITCH_TYPE_CODE.true + '',
    name: '是'
  },
  {
    code: SWITCH_TYPE_CODE.false + '',
    name: '否'
  }
]
/**
 * 特殊元素下拉框
 */
export const SPECIAL_EL_DROPDOWN = [
  {
    code: '0',
    name: '无'
  },
  {
    code: SPECIAL_EL_CODE.diagnosis,
    name: '诊断'
  },
  {
    code: SPECIAL_EL_CODE.check,
    name: '检查'
  },
  {
    code: SPECIAL_EL_CODE.inspect,
    name: '检验'
  },
  {
    code: SPECIAL_EL_CODE.prescription,
    name: '处方'
  },
  {
    code: SPECIAL_EL_CODE.poisoning,
    name: '损伤中毒'
  },
  {
    code: SPECIAL_EL_CODE.recordTime,
    name: '病历记录时间'
  }
]
