/* eslint-disable */
// This file is auto gererated by build/build-entry.js
import IntButton from './button'
import IntCrfForm from './crfForm'
import IntGroupWidgetPreview from './groupWidgetPreview'
import IntSettingPageRender from './settingPageRender'
import IntWidget from './widget'
import IntFormPreview from './widgetPreview'
import IntWidgetSetting from './widgetSetting'
import IntSettingFormPage from './settingFormPage'
import IntFormRender from './formRender'
import IntWxFormRender from './wxFormRender'
import IntAboutGroupWidget from './aboutGroupInstall'
import FormPageWidget from '@/settings/FormPageWidget'
import FormGroupWidget from '@/settings/FormGroupWidget'
import FormGroupWidgetPreview from '@/widgets/FormGroupWidgetPreview'
import FormPageWidgetPreview from '@/widgets/FormPageWidgetPreview'
// Vue.component('FormPageWidget', FormPageWidget)
// Vue.component('FormGroupWidget', FormGroupWidget)
// Vue.component('FormGroupWidgetPreview', FormGroupWidgetPreview)
// Vue.component('FormPageWidgetPreview', FormPageWidgetPreview)

import smartform from './crfForm/store/modules/smartform'
import getters from './crfForm/store/getters'
import cache from './crfForm/store/modules/cache'
import testModule from './crfForm/store/modules/testModule'
    // const version = '0.0.3'
    const version = '0.0.10'
    const components = [
      IntButton,
  IntCrfForm,
  IntGroupWidgetPreview,
  IntSettingPageRender,
  IntWidget,
  IntFormPreview,
  IntWidgetSetting,
  IntSettingFormPage,
  IntWxFormRender,
  IntFormRender,
  IntAboutGroupWidget
    ]
    let $options = {}
    const install = (Vue, options )=> {
      $options = options 
      // 判断是否安装
      if (install.installed) return
      install.installed = true
      components.forEach(Component => {
        Vue.use(Component)
      })
      styleGroupsComponents.forEach(Component => {
        const componentName = Component.name
        Vue.component(componentName, Component)
      })
      const FORM = {}
      FORM.api = options.api || { common: '' }
      FORM.token = options.token || ''
      Vue.prototype.$FORM = FORM
    };
    
const styleGroupsComponents = [
  FormPageWidget,
  FormGroupWidget,
  FormGroupWidgetPreview,
  FormPageWidgetPreview
]
    /* istanbul ignore if */
    if (typeof window !== 'undefined' && window.Vue) {
      install(window.Vue)
    }
    export {
      install,
      version,
      IntButton,
  IntCrfForm,
  IntGroupWidgetPreview,
  IntSettingPageRender,
  IntWidget,
  IntFormPreview,
  IntWidgetSetting,
  IntSettingFormPage,
  IntWxFormRender,
  IntFormRender,
  IntAboutGroupWidget,
  $options,
  smartform,
  getters,
  cache,
  testModule
    }
    export default {
      install,
      ...components,
      $options,
      // FormPageWidget,
      // FormGroupWidget,
      // FormGroupWidgetPreview,
      // FormPageWidgetPreview,
      // IntVue,
      version,
      $options
    }
  