
import FormPageWidget from '@/settings/FormPageWidget'
import FormGroupWidget from '@/settings/FormGroupWidget'
import FormGroupWidgetPreview from '@/widgets/FormGroupWidgetPreview'
import FormPageWidgetPreview from '@/widgets/FormPageWidgetPreview'
// 为组件提供 install 安装方法，供按需引入
FormPageWidget.install = function (Vue) {
  Vue.component(FormPageWidget.name, FormPageWidget)
}
FormGroupWidget.install = function (Vue) {
  Vue.component(FormGroupWidget.name, FormGroupWidget)
}
FormGroupWidgetPreview.install = function (Vue) {
  Vue.component(FormGroupWidgetPreview.name, FormGroupWidgetPreview)
}
FormPageWidgetPreview.install = function (Vue) {
  Vue.component(FormPageWidgetPreview.name, FormPageWidgetPreview)
}
export default {
  FormPageWidget,
  FormGroupWidget,
  FormGroupWidgetPreview,
  FormPageWidgetPreview
}
