import $http from '../../api/index'
import { API_TYPE } from '@/utils/constants'
// 查询表单列表
export function getCrfForm(data) {
  return $http({
    url: '/crfForm/getCrfForm',
    method: 'get',
    loading: false,
    params: data,
    api: API_TYPE.saascrf
  })
}
// 新增单个表单
export function create(data) {
  return $http({
    url: '/crfForm/create',
    method: 'POST',
    data: data
  })
}
// 复制单个表单
export function copyAndCreate(data) {
  return $http({
    url: '/crfForm/copyAndCreate',
    method: 'POST',
    params: data
  })
}
// 删除单个表单
export function deleteForm(data) {
  return $http({
    url: '/crfForm/delete',
    method: 'DELETE',
    params: data
  })
}
// 获取单个表单
export function read(data) {
  return $http({
    url: '/crfForm/read',
    method: 'get',
    api: API_TYPE.saascrf,
    params: data
  })
}
// 更新单个表单
export function update(data) {
  return $http({
    url: '/crfForm/update',
    method: 'put',
    api: API_TYPE.saascrf,
    data: data
  })
}
// 更新单个表单的状态 (启用.停用)
export function updateStatus(data) {
  return $http({
    url: '/crfForm/updateStatus',
    method: 'put',
    params: data
  })
}
