import $http from '@/api/index'

// 获取列表数据
export function getListApi(data) {
  return $http({
    url: '/temrstyle/getEmrStyle',
    method: 'get',
    params: data
  })
}
// 新增病历样式
export function saveApi(data) {
  return $http({
    url: '/temrstyle/saveEmrStyle',
    method: 'post',
    data: data
  })
}
// 修改病历样式
export function modifyApi(data) {
  return $http({
    url: '/temrstyle/updateEntityById',
    method: 'put',
    data: data
  })
}
// 删除病历样式
export function deleteApi(data) {
  return $http({
    url: '/temrstyle/removeEntityById',
    method: 'delete',
    params: data
  })
}
