import $http from '@/api/index'
import { API_TYPE } from '@/utils/constants'
// 获取结构化数据库树
export function selectWordsDoctorAdvicn(data) {
  return $http({
    url: '/selectWordsDoctorAdvice',
    method: 'get',
    params: data,
    api: API_TYPE.inp,
    tips: false
  })
}
// 保存
export function saveWordsDoctorAdvicv(data) {
  return $http({
    url: '/saveWordsDoctorAdvice',
    method: 'POST',
    data: data,
    api: API_TYPE.inp,
    tips: false
  })
}
// 停用
export function stopWordsDoctorAdvicv(data) {
  return $http({
    url: '/stopWordsDoctorAdvice',
    method: 'put',
    params: data,
    api: API_TYPE.inp,
    tips: false
  })
}
// 修改
export function updateWordsDoctorAdvicv(data) {
  return $http({
    url: '/updateWordsDoctorAdvice',
    method: 'put',
    data: data,
    api: API_TYPE.inp,
    tips: false
  })
}
// 医嘱类别
export function WordsDoctorAdviceTypv() {
  return $http({
    url: '/WordsDoctorAdviceType',
    method: 'get',
    api: API_TYPE.inp,
    tips: false
  })
}
