import {
  UPDATE_FORMPAGE,
  CURRENT_SELECT_DATA
} from '../mutations'
export default {

  state: {
    updateFormPage: 0,
    currentSelectData: null
  },

  mutations: {
    [UPDATE_FORMPAGE]: state => {
      state.updateFormPage++
    },
    [CURRENT_SELECT_DATA]: (state, currentSelectData) => {
      state.currentSelectData = currentSelectData
    }
  },

  actions: {
    updateFormPage ({
      commit
    }) {
      commit(UPDATE_FORMPAGE)
    },
    currentSelectData ({
      commit
    }, currentSelectData) {
      commit(CURRENT_SELECT_DATA, currentSelectData)
    }
  }

}
