
/* eslint-disable */
var CreatedOKLodop7766 = null, CLodopIsLocal;
import { UNIQUE_ID } from '@/utils/constants'
//====判断是否需要 Web打印服务CLodop:===
//===(不支持插件的浏览器版本需要用它)===
export function needCLodop() {
    try {
        var ua = navigator.userAgent;
        if (ua.match(/Windows\sPhone/i))
            return true;
        if (ua.match(/iPhone|iPod|iPad/i))
            return true;
        if (ua.match(/Android/i))
            return true;
        if (ua.match(/Edge\D?\d+/i))
            return true;

        var verTrident = ua.match(/Trident\D?\d+/i);
        var verIE = ua.match(/MSIE\D?\d+/i);
        var verOPR = ua.match(/OPR\D?\d+/i);
        var verFF = ua.match(/Firefox\D?\d+/i);
        var x64 = ua.match(/x64/i);
        if ((!verTrident) && (!verIE) && (x64))
            return true;
        else if (verFF) {
            verFF = verFF[0].match(/\d+/);
            if ((verFF[0] >= 41) || (x64))
                return true;
        } else if (verOPR) {
            verOPR = verOPR[0].match(/\d+/);
            if (verOPR[0] >= 32)
                return true;
        } else if ((!verTrident) && (!verIE)) {
            var verChrome = ua.match(/Chrome\D?\d+/i);
            if (verChrome) {
                verChrome = verChrome[0].match(/\d+/);
                if (verChrome[0] >= 41)
                    return true;
            }
        }
        return false;
    } catch (err) {
        return true;
    }
}

//====页面引用CLodop云打印必须的JS文件,用双端口(8000和18000）避免其中某个被占用：====
if (needCLodop()) {
    var src1 = "http://localhost:8000/CLodopfuncs.js?priority=1";
    var src2 = "http://localhost:18000/CLodopfuncs.js?priority=0";

    var head = document.head || document.getElementsByTagName("head")[0] || document.documentElement;
    var oscript = document.createElement("script");
    oscript.src = src1;
    // 等待lodopjs加载完毕
    oscript.onload = oscript.onreadystatechange = function () {
        let lodop = creatLodop(c_oOBJECT, c_oEMBED)
        // 同步才加载前进入的请求回调
        if(onBackArray && onBackArray.length > 0){
            for(let onBack of onBackArray){
                onBack(lodop)
            }
            onBackArray = []
        }
        isLoad = true
    }
    head.insertBefore(oscript, head.firstChild);
    oscript = document.createElement("script");
    oscript.src = src2;
    head.insertBefore(oscript, head.firstChild);
    CLodopIsLocal = !!((src1 + src2).match(/\/\/localho|\/\/127.0.0./i));
}
let isLoad = false
let onBackArray = []
function creatLodop(oOBJECT, oEMBED) {
    var strHtmInstall = "<br><font color='#FF00FF'>打印控件未安装!点击这里<a href='../../static/lodop/install_lodop32.exe' target='_blank'>执行安装</a>,安装后请刷新页面或重新进入。</font>";
    var strHtmUpdate = "<br><font color='#FF00FF'>打印控件需要升级!点击这里<a href='../../static/lodop/install_lodop32.exe' target='_blank'>执行升级</a>,升级后请重新进入。</font>";
    var strHtm64_Install = "<br><font color='#FF00FF'>打印控件未安装!点击这里<a href='../../static/lodop/install_lodop64.exe' target='_blank'>执行安装</a>,安装后请刷新页面或重新进入。</font>";
    var strHtm64_Update = "<br><font color='#FF00FF'>打印控件需要升级!点击这里<a href='../../static/lodop/install_lodop64.exe' target='_blank'>执行升级</a>,升级后请重新进入。</font>";
    var strHtmFireFox = "<br><br><font color='#FF00FF'>（注意：如曾安装过Lodop旧版附件npActiveXPLugin,请在【工具】->【附加组件】->【扩展】中先卸它）</font>";
    var strHtmChrome = "<br><br><font color='#FF00FF'>(如果此前正常，仅因浏览器升级或重安装而出问题，需重新执行以上安装）</font>";
    var strCLodopInstall_1 = "<br><font color='#FF00FF'>Web打印服务CLodop未安装启动，点击这里<a href='../../static/lodop/CLodop_Setup_for_Win32NT.exe' target='_blank'>下载执行安装</a>";
    var strCLodopInstall_2 = "<br>（若此前已安装过，可<a href='CLodop.protocol:setup' target='_self'>点这里直接再次启动</a>）";
    var strCLodopInstall_3 = "，成功后请刷新本页面。</font>";
    var strCLodopUpdate = "<br><font color='#FF00FF'>Web打印服务CLodop需升级!点击这里<a href='../../static/lodop/CLodop_Setup_for_Win32NT.exe' target='_blank'>执行升级</a>,升级后请刷新页面。</font>";
    var LODOP;
    var printDiv = document.createElement('div');
    printDiv.style.position = 'fixed';
    printDiv.style.top = '0';
    printDiv.style.left = '0';
    printDiv.style.width = '100%';
    printDiv.style.height = '100%';
    printDiv.style.zIndex = '1000';
    printDiv.style.backgroundColor = 'rgba(0,0,0,0.8)';
    try {
        var ua = navigator.userAgent;
        var isIE = !!(ua.match(/MSIE/i)) || !!(ua.match(/Trident/i));
        if (needCLodop()) {
            try {
                LODOP = getCLodop();
            } catch (err) { }
            if (!LODOP && document.readyState !== "complete") {
                alert("网页还没下载完毕，请稍等一下再操作.");
                return;
            }
            if (!LODOP) {
                printDiv.innerHTML = strCLodopInstall_1 + (CLodopIsLocal ? strCLodopInstall_2 : "") + strCLodopInstall_3;
                document.getElementById('app').appendChild(printDiv)
                // document.body.innerHTML = strCLodopInstall_1 + (CLodopIsLocal ? strCLodopInstall_2 : "") + strCLodopInstall_3 + document.body.innerHTML;                
                return;
            } else {
                if (CLODOP.CVERSION < "3.0.7.5") {
                    printDiv.innerHTML = strCLodopUpdate;
                    document.getElementById('app').appendChild(printDiv)
                    // document.body.innerHTML = strCLodopUpdate + document.body.innerHTML;
                }
                if (oEMBED && oEMBED.parentNode)
                    oEMBED.parentNode.removeChild(oEMBED);
                if (oOBJECT && oOBJECT.parentNode)
                    oOBJECT.parentNode.removeChild(oOBJECT);
            }
        } else {
            var is64IE = isIE && !!(ua.match(/x64/i));
            //=====如果页面有Lodop就直接使用，没有则新建:==========
            if (oOBJECT || oEMBED) {
                if (isIE)
                    LODOP = oOBJECT;
                else
                    LODOP = oEMBED;
            } else if (!CreatedOKLodop7766) {
                LODOP = document.createElement("object");
                LODOP.setAttribute("width", 0);
                LODOP.setAttribute("height", 0);
                LODOP.setAttribute("style", "position:absolute;left:0px;top:-100px;width:0px;height:0px;");
                if (isIE)
                    LODOP.setAttribute("classid", "clsid:2105C259-1E0C-4534-8141-A753534CB4CA");
                else
                    LODOP.setAttribute("type", "application/x-print-lodop");
                document.documentElement.appendChild(LODOP);
                CreatedOKLodop7766 = LODOP;
            } else
                LODOP = CreatedOKLodop7766;
            //=====Lodop插件未安装时提示下载地址:==========
            if ((!LODOP) || (!LODOP.VERSION)) {
                if (ua.indexOf('Chrome') >= 0) {
                    printDiv.innerHTML = strHtmChrome;
                    document.getElementById('app').appendChild(printDiv)
                    // document.body.innerHTML = strHtmChrome + document.body.innerHTML;
                }
                if (ua.indexOf('Firefox') >= 0) {
                    printDiv.innerHTML = strHtmFireFox;
                    document.getElementById('app').appendChild(printDiv)
                    // document.body.innerHTML = strHtmFireFox + document.body.innerHTML;
                }
                printDiv.innerHTML = (is64IE ? strHtm64_Install : strHtmInstall);
                document.getElementById('app').appendChild(printDiv)
                // document.body.innerHTML = (is64IE ? strHtm64_Install : strHtmInstall) + document.body.innerHTML;
                return LODOP;
            }
        }
        if (LODOP.VERSION < "6.2.2.6") {
            if (!needCLodop()) {
                printDiv.innerHTML = (is64IE ? strHtm64_Update : strHtmUpdate);
                document.getElementById('app').appendChild(printDiv)
                // document.body.innerHTML = (is64IE ? strHtm64_Update : strHtmUpdate) + document.body.innerHTML;
            }
            return LODOP;
        }
        //===如下空白位置适合调用统一功能(如注册语句、语言选择等):==

        LODOP.SET_LICENSES("上海智赢健康科技有限公司", "CC33A0F0FE7C22D77A98DE84177E3152454", "上海智贏健康科技有限公司", "3CB040D754E68F7BB5F95707B6E9079FE58");
        LODOP.SET_LICENSES("THIRD LICENSE", "", "Shanghai Zhiying Health Technology Co., Ltd.", "9B0C8AC2281416E435505F7D7C8F9661994");

        //=======================================================
        return LODOP;
    } catch (err) {
        alert("getLodop出错:" + err);
    }
}
let c_oOBJECT
let c_oEMBED
//====获取LODOP对象的主过程：====
export function getLodop(oOBJECT, oEMBED) {
    if (isLoad) {
        return creatLodop(oOBJECT, oEMBED)
    }
    c_oOBJECT = oOBJECT
    c_oEMBED = oEMBED
    return new Promise((resovle)=>{
        onBackArray.push(resovle)
    })
}

/**
 * 初始化模板中的$random随机数标签
 * @param {*} vueTabTemp 
 * @param {*} printTempContent 
 */
export const INIT_RANDOM_ID = function (vueTabTemp, printTempContent) {
  let regRandom = /\$random\d/g
  // 找出$random\d
  let randomVue = vueTabTemp.match(regRandom)
  let randomPrint = printTempContent.match(regRandom)
  // 遍历统计所有$random\d
  let randomNums = new Set()
  if(randomVue){
    for(let d of randomVue) {
      randomNums.add(d.replace('$random', ''))
    }
  }
  if(randomPrint){
    for(let d of randomPrint) {
      randomNums.add(d.replace('$random', ''))
    }
  }
  if(randomNums.size > 0){
    // 生成shotID，并替换random1
    for(let d of randomNums) {
      let id = UNIQUE_ID(true)
      var reg = new RegExp('\\$random' + d, 'g')
      if (randomVue) {
        vueTabTemp = vueTabTemp.replace(reg, id);
      }
      if(randomPrint) {
        printTempContent = printTempContent.replace(reg, id);
      }
    }
  }
  return {vueTabTemp, printTempContent}
}