/**
 * 随访方案常量
 */
// 0--已停用   1--已启用 2--未启用
export const PLAN_STATUS = {
  isStoped: 0,
  isStarted: 1,
  isNotStarted: 2
}
export const PLAN_DATE_OPTIONS = [
  {
    value: 1,
    label: '启用时间倒序'
  },
  {
    value: 2,
    label: '启用时间正序'
  },
  {
    value: 3,
    label: '最后编辑时间倒序'
  },
  {
    value: 4,
    label: '最后编辑时间正序'
  }
]
export const PLAN_STATUS_OPTIONS = [
  {
    value: 0,
    label: '已停用'
  },
  {
    value: 1,
    label: '已启用'
  },
  {
    value: 2,
    label: '未启用'
  },
  {
    value: '',
    label: '全部'
  }
]
export const TIME_UNIT_OPTIONS = [
  {
    value: 1,
    label: '天'
  }, {
    value: 2,
    label: '周'
  }, {
    value: 3,
    label: '月'
  }, {
    value: 4,
    label: '年'
  }
]
