/** 随访方案 */
// 搜索对象实体
export const QUERY_OBJ = {
  currentPage: 1,
  pageSize: 10,
  name: '', // 方案名称或简称
  date: '', // 日期选择 1-启用时间倒序 2-启用时间正序 3-最后编辑时间倒序 4-最后编辑时间正序
  status: '' // 状态选择()
}
// 表格对象实体
export const TABLE_DATA_OBJ = {
  planId: '',
  planName: '', // 方案名称
  abbreviation: '', // 简称
  status: '', // 状态
  activationTime: '', // 启用时间
  lastEditTime: '', // 最后编辑时间
  currentVersion: '', // 当前版本
  creator: '', // 创建人
  lastModifier: '', // 最后修改人
  planDescription: '' // 方案说明
}
// 新增计划的实体对象
export const ADD_DATA_OBJ = {
  id: '', // 主键id
  schemeId: '', // 方案Id
  schemeName: '', // 方案名称
  abbreviation: '', // 简称
  itemId: '', // 所属版本id
  itemName: '', // 所属版本名称
  planDescription: '' // 方案说明
}
// 随访计划
export const PLAN_OBJ = {
  type: 1, // 1:首次随访计划新增;2:当前版本新增;
  isFirst: 0, // 是否是首次新增（1--是   0--不是）
  schemeId: '', // 方案主键
  schemeName: '', // 方案名称
  planId: '', // 计划主键
  planName: '',
  dataJson: '',
  lackValueCodes: [], // 存储随访计划表单中用到的缺省值的code
  spacing: '', // 间隔时间
  intervalUnit: 1, // 间隔单位
  firstTime: '', // 时间窗(前)
  firstUnit: 1, // 时间窗单位(前)
  lastTime: '', // 时间窗(后)
  lastUnit: 1 // 时间窗单位(后)
}
