import {
  PAGE_FIELD_TYPE,
  WIDGET_STATE,
  FIELD_TYPE,
  REGEXP_TYPE
} from '@/utils/crfForm/constants'

/**
 * 控件基本属性
 */
const WIDGET = {
  authLevel: 0,
  des: '',
  placeholder: '',
  hide: false,
  disable: false,
  isSelect: false
}
// 表单常用控件类型
export const BASE_WIDGETCONST = [{
  ...WIDGET,
  type: PAGE_FIELD_TYPE.widget,
  fieldType: FIELD_TYPE.input,
  name: '手机号',
  ico: 'icon iconfont icon-icon-46',
  state: WIDGET_STATE.custom,
  id: '1',
  rules: [{
    enable: true,
    trigger: '["blur"]',
    message: null,
    type: 3,
    defMessage: '',
    regexpID: REGEXP_TYPE.phone,
    regexp: ''
  }]
},
{
  ...WIDGET,
  type: PAGE_FIELD_TYPE.widget,
  fieldType: FIELD_TYPE.input,
  name: '身份证',
  ico: 'icon iconfont icon-icon-31',
  state: WIDGET_STATE.custom,
  id: '2',
  rules: [{
    enable: true,
    trigger: '["blur"]',
    message: null,
    type: 3,
    defMessage: '',
    regexpID: REGEXP_TYPE.chinaCard,
    regexp: ''
  }]
}
]
