// 段落数据实体
export const PARAGRAPH_DATA = {
  'createId': 0,
  'createName': '',
  'createTime': '',
  'departmentCode': [],
  'id': '',
  'orgNo': '',
  'paragraphCode': '',
  'paragraphContent': '',
  'paragraphDesc': '',
  'paragraphName': '',
  'users': '',
  'recentEditorId': 0,
  'recentEditorName': '',
  'recentEditorTime': '',
  'recentEditorType': '',
  'scope': '1',
  'subNo': '',
  'temrChapterList': [],
  'temrElementList': []
}
// 章节数据实体
export const CHAPTER_DATA = {
  'chapterCode': '',
  'chapterDescribe': '',
  'users': '',
  'chapterName': '',
  'createId': 0,
  'createName': '',
  'createTime': '',
  'id': '',
  'orgNo': '',
  'readOnly': '',
  'recentEditorId': 0,
  'recentEditorName': '',
  'recentEditorTime': '',
  'recentEditorType': '',
  'subNo': '',
  'temrChapterParagraphList': [],
  'temrParagraphList': [],
  'paragraphAndSortList': []
}
// 获取章节段落数据实体
// 段落弹出框的标题
export const CHAPTER_TITLE = {
  edit: '修改章节',
  create: '添加章节'
}
// 章节弹出框的标题
export const PARAGRAPH_TITLE = {
  edit: '修改段落',
  create: '添加段落'
}
// 全院科室数据
export const SCOPE_OF_USE_TYPE = {
  courtyard: '1',
  department: '0',
  personal: '2'
}

// export const SCOPE_OF_USE = [{
//   value: SCOPE_OF_USE_TYPE.personal,
//   name: '个人'
// }, {
//   value: SCOPE_OF_USE_TYPE.department,
//   name: '科室'
// }, {
//   value: SCOPE_OF_USE_TYPE.courtyard,
//   name: '全院'
// }]
export const SCOPE_OF_USE = [{
  value: SCOPE_OF_USE_TYPE.department,
  name: '科室'
}, {
  value: SCOPE_OF_USE_TYPE.courtyard,
  name: '全院'
}]
// 章节分类
export const CHAPTER_CLASSIFY = [{
  id: 1,
  label: '医生章节'
},
{
  id: 2,
  label: '护士章节'
}]
