// -----------------------------   五级联动地址 封装    -----------------------------
import { getAreaApi } from '@/api/publicHealth/showAreaApi'
/**
 * 国家五级行政区codeType
 */
// export const COUNTRY_AREA = ['省', '市', '县', '乡镇', '村']
/**
 * 根据当前codeType获取下一级
 * @param {*} val 当前级别的 codeType
 */
// export const NEXT_AREA_CODETYPE = function (val) {
//   let i = COUNTRY_AREA.findIndex(d => val === d)
//   if (i + 1 < COUNTRY_AREA.length) {
//     return COUNTRY_AREA[i + 1]
//   }
//   return null
// }
/**
 * @param {*Object} data 获取五级联动地址的接口名称h和参数名称  默认值由后台配好了给出
 */
export const GET_AREA = async function (data) {
  let citiesArr = null
  try {
    citiesArr = await getAreaApi(data)
  } catch (e) {
    console.log(e)
  }
  return citiesArr
}
